Name: libesmtp
Version: 1.0.4
Release: alt2

Summary: LibESMTP is a library to manage posting email using SMTP
License: GPL
Group: System/Libraries
Url: http://www.stafford.uklinux.net/libesmtp/
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.bz2
Patch1: libesmtp-build.patch
Patch2: libesmtp-1.0.4-ssl.patch


# Automatically added by buildreq on Sat Apr 24 2004
BuildRequires: libssl-devel

# BuildRequires: libssl-devel

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim or Postfix.  It may be used as part of a Mail User Agent (MUA) or
another program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%package -n %name-devel
Summary: Development files for libESMTP
Group: Development/C
PreReq: %name = %version-%release
License: GPL

%description -n %name-devel
This package contains development files required for packaging
libESMTP-based software.

%package -n %name-devel-static
Summary: Static libraries for libESMTP
Group: Development/C
PreReq: %name-devel = %version-%release
License: GPL

%description -n %name-devel-static
This package contains development libraries required for packaging
statically linked libESMTP-based software.

%prep
%setup -q
%patch1 -p1 -b .build
#%%patch2 -p1 -b .ssl 

%build
%configure \
	--enable-pthreads \
	--enable-require-all-recipients \
	--enable-etrn

%make_build

%install
%makeinstall

%post -n %name -p %post_ldconfig
%postun -n %name -p %postun_ldconfig

%files -n %name
%_libdir/libesmtp.so.*
%doc AUTHORS README ChangeLog INSTALL COPYING TODO NEWS Notes doc/api.xml

%files -n %name-devel
%_bindir/*
%_includedir/*
%_libdir/*.so

%files -n %name-devel-static
%_libdir/*.a

%changelog
* Mon Mar 12 2007 Ildar Mulyukov <ildar@altlinux.ru> 1.0.4-alt2
- libesmtp-build.patch and libesmtp-1.0.4-ssl.patch by
-   shaba@ to build with new binutils/gcc

* Tue Dec 20 2005 Andrey Semenov <mitrofan@altlinux.ru> 1.0.4-alt1
- new version

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.3-alt1.1
- Rebuilt with openssl-0.9.7d.

* Fri Apr 23 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.0.3-alt1
- 1.0.3
- Updated build requires
- Added memrchr() implementation for systems that don't have one

* Wed Jan 7 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Mon Sep 15 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0.1-alt2
- *.la files removed

* Mon Sep 15 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Sun Mar 23 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0-alt1
- First version of RPM package.
